LTTNG-IRQSTATS(1)

NAME
lttng-irqstats - LTTng analyses IRQ statistics

DESCRIPTION
usage: lttng-irqstats [-h] [-r REFRESH] [--limit LIMIT] [--no-progress]

[--skip-validation] [--gmt] [--begin BEGIN] [--end END]
    [--timerange TIMERANGE] [--max MAX] [--min MIN] [--freq] [--freq-resolution FREQ_RESOLUTION] [--log] [--stats] [--irq IRQ] [--softirq SOFTIRQ] [-V] <path/to/trace>

The irq command.

  positional arguments:

<path/to/trace>
    trace path

  optional arguments:

-h, --help
    show this help message and exit

-r REFRESH, --refresh REFRESH
    Refresh period in seconds

--limit LIMIT
    Limit to top X (default = 10)

--no-progress
    Don't display the progress bar

--skip-validation
    Skip the trace validation

--gmt
    Manipulate timestamps based on GMT instead of local time

--begin BEGIN
    start time: hh:mm:ss[.nnnnnnnnn]

--end END
    end time: hh:mm:ss[.nnnnnnnnn]

--timerange TIMERANGE
    time range: [begin,end]

--max MAX
    Filter out, duration longer than max usec

--min MIN
    Filter out, duration shorter than min usec

--freq
    Show the frequency distribution of handler duration

--freq-resolution FREQ_RESOLUTION
    Frequency distribution resolution (default 20)

--log
    Display the events in the order they appeared

--stats
    Display the statistics

--irq IRQ
    Show results only for the list of IRQ

--softirq SOFTIRQ
    Show results only for the list of SoftIRQ

-V, --version
    show program's version number and exit